Page MenuHomePhabricator

Don't access wgCategories in Minerva
Closed, ResolvedPublic

Description

The categories code makes use of the wgCategories config variable inside resources/skins.minerva.categories/init.js
We are considering removing this from core (T206250)

Rather than continue to adopt it, let's remove it as it's not used in our codebase. The category feature for users in beta works without it.

QA steps

Event Timeline

Jdlrobson renamed this task from Load categories async to Don't access wgCategory in Minerva.Oct 5 2018, 3:43 PM
Jdlrobson renamed this task from Don't access wgCategory in Minerva to Don't access wgCategories in Minerva.
Jdlrobson triaged this task as Medium priority.
Jdlrobson created this task.

Change 464830 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Remove unused categories property

https://gerrit.wikimedia.org/r/464830

Anomie removed a subscriber: Anomie.Oct 5 2018, 4:25 PM

Change 464830 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove unused categories property

https://gerrit.wikimedia.org/r/464830

Jdlrobson updated the task description. (Show Details)Oct 8 2018, 3:58 PM
Jdlrobson added a project: Product-QA.
Jdlrobson reassigned this task from Ryasmeen to ovasileva.Oct 10 2018, 7:49 PM
Jdlrobson added a subscriber: Ryasmeen.
ovasileva closed this task as Resolved.Oct 10 2018, 9:45 PM

thanks @ABorbaWMF, looks like we're done here.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 10 2018, 9:45 PM